Bug 473481 - Blurriness of Greek letter m (U+03BC) in Liberation Sans Regular
Blurriness of Greek letter m (U+03BC) in Liberation Sans Regular
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
http://bugs.debian.org/506469
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 14:01 EST by Holger Levsen
Modified: 2008-12-08 20:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 20:05:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
test case (1.52 KB, text/html)
2008-11-28 14:39 EST, Matěj Cepl
no flags Details
sshot (52.91 KB, image/png)
2008-11-28 14:44 EST, Matěj Cepl
no flags Details
this is how it looks here... (23.78 KB, image/png)
2008-11-28 15:08 EST, Holger Levsen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 506469 None None None Never

  None (edit)
Description Holger Levsen 2008-11-28 14:01:56 EST
From: "Nikos Asimakis" <nikos.asimakis@gmail.com>
To: submit@bugs.debian.org
Subject: ugly greek letter m (U+03BC) in liberation sans regular
Date: Fri, 21 Nov 2008 20:54:11 +0200

Package: ttf-liberation
Version: 1.04.92-1
Severity: normal

After updating to version 1.04.92-1 the character μ (U+03BC, GREEK
SMALL LETTER MU) appears ugly
when using Liberation Sans.

When using Liberation Sans Bold, Italic and all the variants of
Liberation Serif and Mono, μ appears OK.

You can see the problem in GNOME Character Map, when using Liberation
Sans as GNOME's default
application font and in Firefox.

I am attaching a small html to demonstrate the problem:

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
  <meta http-equiv="Content-type" content="text/html; charset=utf-8" />
  <title>Liberation Fonts Test</title>
</head>
<body>
  <p style="font-family:Liberation Sans;">
  Liberation Sans<br />μμμ</p>
  <p style="font-family:Liberation Sans;font-weight:bold;">
  Liberation Sans Bold<br />μμμ</p>
  <p style="font-family:Liberation Sans;font-style:italic;">
  Liberation Sans Italic<br />μμμ</p>
  <p style="font-family:Liberation Sans;font-weight:bold;font-style:italic;">
  Liberation Sans Bold Italic<br />μμμ</p>
  <hr />
  <p style="font-family:Liberation Serif;">
  Liberation Serif<br />μμμ</p>
  <p style="font-family:Liberation Serif;font-weight:bold;">
  Liberation Serif Bold<br />μμμ</p>
  <p style="font-family:Liberation Serif;font-style:italic;">
  Liberation Serif Italic<br />μμμ</p>
  <p style="font-family:Liberation Serif;font-weight:bold;font-style:italic;">
  Liberation Serif Bold Italic<br />μμμ</p>
  <hr />
  <p style="font-family:Liberation Mono;">
  Liberation Mono<br />μμμ</p>
  <p style="font-family:Liberation Mono;font-weight:bold;">
  Liberation Mono Bold<br />μμμ</p>
  <p style="font-family:Liberation Mono;font-style:italic;">
  Liberation Mono Italic<br />μμμ</p>
  <p style="font-family:Liberation Mono;font-weight:bold;font-style:italic;">
  Liberation Mono Bold Italic<br />μμμ</p>
</body>
</html>

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=el_GR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ttf-liberation depends on:
ii  defoma                       0.11.10-0.2 Debian Font Manager -- automatic f

ttf-liberation recommends no packages.

ttf-liberation suggests no packages.

-- no debconf information
Comment 1 Holger Levsen 2008-11-28 14:02:38 EST
orignally filed as http://bugs.debian.org/506469
Comment 2 Matěj Cepl 2008-11-28 14:39:58 EST
Created attachment 325034 [details]
test case

I am attaching testcase as attachment, but I am not sure what the reporter means -- the letter looks to me roughly same in any Liberation font I have (liberation-fonts-1.04.90-1.fc10.noarch).

Switching to ASSIGNED so that developers have responsibility to do whatever they want to do with it.
Comment 3 Matěj Cepl 2008-11-28 14:44:07 EST
Created attachment 325035 [details]
sshot
Comment 4 Holger Levsen 2008-11-28 15:08:36 EST
Created attachment 325036 [details]
this is how it looks here...

this is how it looks here...
Comment 6 Nikos Asimakis 2008-12-04 17:05:10 EST
I tested version 1.04.93 and the problem with U+03BC is fixed.

Thank you.
Comment 7 Caius Chance 2008-12-08 20:05:17 EST
Close as resolved.

Note You need to log in before you can comment on or make changes to this bug.